- Category: model context protocol
- Auth: DCR_OAUTH
- Composio-managed OAuth available? No
- Tools: 77
- Triggers: 0
- Slug:
TICKET_TAILOR_MCP - Version: 20261018_00
Tools
Bundle create
Bundle create
TICKET_TAILOR_MCP_BUNDLE_CREATECreates a new bundle in event series. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Bundle delete
Bundle delete
TICKET_TAILOR_MCP_BUNDLE_DELETEDelete a bundle. This action is irreversible. The bundle will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Bundle update
Bundle update
TICKET_TAILOR_MCP_BUNDLE_UPDATEUpdates an existing bundle in event series. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Check in create
Check in create
TICKET_TAILOR_MCP_CHECK_IN_CREATECreates a check-in or check-out record for an issued ticket. Check-ins track when attendees arrive at or leave an event. This is essential for event management, attendance tracking, and security. You can check in attendees at the door, track early departures, or manage re-entry. The system prevents duplicate check-ins unless explicitly allowed. These records stack up, so the current check-in state of an issued ticket is the sum of its corresponding records. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Check ins get
Check ins get
TICKET_TAILOR_MCP_CHECK_INS_GETReturns a list of check-ins. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Checkout form element by id get
Checkout form element by id get
TICKET_TAILOR_MCP_CHECKOUT_FORM_ELEMENT_BY_ID_GETReturns a checkout form element by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Checkout form elements get
Checkout form elements get
TICKET_TAILOR_MCP_CHECKOUT_FORM_ELEMENTS_GETReturns a list of checkout form elements. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Checkout form element update
Checkout form element update
TICKET_TAILOR_MCP_CHECKOUT_FORM_ELEMENT_UPDATEUpdates an existing checkout form element. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Checkout forms get
Checkout forms get
TICKET_TAILOR_MCP_CHECKOUT_FORMS_GETReturns a list of checkout forms. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Discount by id get
Discount by id get
TICKET_TAILOR_MCP_DISCOUNT_BY_ID_GETReturns a discount by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Discount create
Discount create
TICKET_TAILOR_MCP_DISCOUNT_CREATECreates a discount code that customers can use during checkout to receive reduced pricing. Discount codes are powerful marketing tools that can increase sales, reward loyal customers, or fill seats. You can create percentage-based or fixed-amount discounts, set usage limits, and restrict them to specific ticket types or products. The discount code will be immediately available for customers to use. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Discount delete
Discount delete
TICKET_TAILOR_MCP_DISCOUNT_DELETEDelete a discount. This action is irreversible. The discount will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Discounts get
Discounts get
TICKET_TAILOR_MCP_DISCOUNTS_GETReturns a list of discounts. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Discount update
Discount update
TICKET_TAILOR_MCP_DISCOUNT_UPDATEUpdates an existing discount. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event by id get
Event by id get
TICKET_TAILOR_MCP_EVENT_BY_ID_GETReturns an event by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event management
Event management
TICKET_TAILOR_MCP_EVENT_MANAGEMENT<usecases> Create multiple events with single tool call. Create one or more event series. Create one or more event occurrences for one or more new event series. Create one or more event occurrences for one or more existing event series. Create one or more ticket types for one or more new event series. Create one or more ticket types for one or more existing event series. Create one or more ticket groups for one or more new event series. Create one or more ticket groups for one or more existing event series. </usecases> <instructions> Pass event series related data in eventSeries array to create event series. Pass event occurrences related data in eventOccurrences array to create event occurrences. Pass ticket types related data in ticketTypes array to create ticket types. Pass ticket groups related data in ticketGroups array to create ticket groups. When creating multiple event series with multiple event occurrences and/or multiple ticket types and or multiple ticket groups, use a placeholder for event_series_id in eventOccurrences and ticketTypes and ticketGroups arrays. Placeholder must have a structure of es_placeholder1, es_placeholder2, etc. where the number is the index of the previously created event series. When creating ticket groups and referencing a ticket type that is to be created in the same call, use a placeholder for ticket_type_ids in ticketGroups array. Placeholder must have a structure of tt_placeholder1, tt_placeholder2, etc. where the number is the index of the previously created ticket type. When creating event occurrences or ticket types or ticket groups for an existing event series, use the id of the event series in the event_series_id field. Try to find existing event series first before creating a new one (by name or venue), unless user is explicitly asking to create a new event series. Do not use this tool to update or delete event series, event occurrences or ticket types or ticket groups. Use separate tools for that. </instructions> <validations> Event occurrence end datetime must be after start datetime. Ticket group can not contain bundle_ids when ticket group has max_quantity, max_per_order or min_per_order populated. </validations>Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event occurrence by id get
Event occurrence by id get
TICKET_TAILOR_MCP_EVENT_OCCURRENCE_BY_ID_GETReturns an event occurrence by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event occurrence delete
Event occurrence delete
TICKET_TAILOR_MCP_EVENT_OCCURRENCE_DELETEDelete event occurrence, only if there are no associated orders. Otherwise, set it as hidden. This action is irreversible. The event occurrence will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event occurrences get
Event occurrences get
TICKET_TAILOR_MCP_EVENT_OCCURRENCES_GETReturns a list of event occurrences. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event occurrence update
Event occurrence update
TICKET_TAILOR_MCP_EVENT_OCCURRENCE_UPDATEUpdates an existing event occurrence. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event series by id get
Event series by id get
TICKET_TAILOR_MCP_EVENT_SERIES_BY_ID_GETReturns an event series by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event series delete
Event series delete
TICKET_TAILOR_MCP_EVENT_SERIES_DELETEDelete an event series and its associated events. This action is irreversible. The event series and its events will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event series get
Event series get
TICKET_TAILOR_MCP_EVENT_SERIES_GETRetrieves a paginated list of event series from your Ticket Tailor account. Event series are collections of related events (like a recurring concert series or festival). Use this to browse, search, and filter your event series by status, name, venue, or creation date. This is a read-only operation that returns metadata about your event series without modifying any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event series status change
Event series status change
TICKET_TAILOR_MCP_EVENT_SERIES_STATUS_CHANGEChanges the status of an event series (publish, draft, or close sales). Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Event series update
Event series update
TICKET_TAILOR_MCP_EVENT_SERIES_UPDATEUpdates an existing event series. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Events get
Events get
TICKET_TAILOR_MCP_EVENTS_GETRetrieves a paginated list of individual event occurrences from your Ticket Tailor account. Events are specific instances within an event series (typically either for time slot admission; or else individual instances of multi-day events like ‘Saturday’ or ‘Sunday’ festival tickets, or ‘Workshop Session A’). Use this to browse, search, and filter your events by status, name, venue, or date range. This is a read-only operation that returns metadata about your events without modifying any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Hold by id get
Hold by id get
TICKET_TAILOR_MCP_HOLD_BY_ID_GETReturns a hold by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Hold create
Hold create
TICKET_TAILOR_MCP_HOLD_CREATECreates a new hold. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Hold delete
Hold delete
TICKET_TAILOR_MCP_HOLD_DELETEDelete a hold. This action is irreversible. The hold will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Holds get
Holds get
TICKET_TAILOR_MCP_HOLDS_GETReturns a list of holds. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Hold update
Hold update
TICKET_TAILOR_MCP_HOLD_UPDATEUpdates an existing hold. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued membership by id get
Issued membership by id get
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIP_BY_ID_GETReturns an issued membership by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued membership create
Issued membership create
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIP_CREATECreates a new issued membership for a membership type. An issued membership represents an actual membership given to a person. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued membership redemption create
Issued membership redemption create
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIP_REDEMPTION_CREATECreates a redemption for an issued membership at a specific event. This records that the issued membership was used for entry to the event. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued memberships get
Issued memberships get
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIPS_GETReturns a paginated list of issued memberships. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued membership update
Issued membership update
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIP_UPDATEUpdates an existing issued membership. Only fixed date types are allowed when updating. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued membership void
Issued membership void
TICKET_TAILOR_MCP_ISSUED_MEMBERSHIP_VOIDVoids an existing issued membership. A voided membership cannot be used for redemptions. This action is irreversible. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued ticket by id get
Issued ticket by id get
TICKET_TAILOR_MCP_ISSUED_TICKET_BY_ID_GETReturns an issued ticket by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued ticket create
Issued ticket create
TICKET_TAILOR_MCP_ISSUED_TICKET_CREATECreates a new issued ticket for an event occurrence from available inventory. Issued tickets represent actual tickets that have been allocated to a specific person and can be used for entry. This tool can create tickets from either existing ticket type inventory or from a hold (reserved tickets). The created ticket will be immediately available for check-in and will be included in ticket counts. Ticket Tailor fees apply to issued tickets created via the Ticket Tailor API, irrespective of whether those tickets are free or paid-for. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued tickets get
Issued tickets get
TICKET_TAILOR_MCP_ISSUED_TICKETS_GETReturns a list of issued tickets. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Issued ticket void
Issued ticket void
TICKET_TAILOR_MCP_ISSUED_TICKET_VOIDVoids an issued ticket. This action is irreversible. This will only mark the ticket as voided (no longer valid) and will not cancel an entire order or issue a refund. You can also void an issued ticket to a hold, which will create a hold from the issued ticket and not put the allocation back on sale. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Membership type by id get
Membership type by id get
TICKET_TAILOR_MCP_MEMBERSHIP_TYPE_BY_ID_GETReturns a membership type by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Membership type create
Membership type create
TICKET_TAILOR_MCP_MEMBERSHIP_TYPE_CREATECreates a new membership type. Membership types define the configuration for issued memberships including validity periods, redemption limits, and whether photos are required. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Membership type delete
Membership type delete
TICKET_TAILOR_MCP_MEMBERSHIP_TYPE_DELETEDeletes a membership type. A membership type can only be deleted if it has no issued memberships and no linked products. This action is irreversible. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Membership types get
Membership types get
TICKET_TAILOR_MCP_MEMBERSHIP_TYPES_GETReturns a paginated list of membership types. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Membership type update
Membership type update
TICKET_TAILOR_MCP_MEMBERSHIP_TYPE_UPDATEUpdates an existing membership type. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Order by id get
Order by id get
TICKET_TAILOR_MCP_ORDER_BY_ID_GETReturns an order by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Order confirm payment
Order confirm payment
TICKET_TAILOR_MCP_ORDER_CONFIRM_PAYMENTConfirm an offline payment has been paid for an order. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Orders get
Orders get
TICKET_TAILOR_MCP_ORDERS_GETRetrieves a paginated list of customer orders from your Ticket Tailor account. Orders represent completed ticket (and/or product) purchases and contain information about the buyer, items purchased, payment status, and order details. Use this to track sales, analyze customer data, and manage order fulfillment. This is a read-only operation that returns order information without modifying any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Order update
Order update
TICKET_TAILOR_MCP_ORDER_UPDATEUpdates an existing order. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Override create
Override create
TICKET_TAILOR_MCP_OVERRIDE_CREATECreates a new override for event series. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Overrides get
Overrides get
TICKET_TAILOR_MCP_OVERRIDES_GETReturns a list of overrides. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Override update
Override update
TICKET_TAILOR_MCP_OVERRIDE_UPDATEUpdate existing override. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Overview get
Overview get
TICKET_TAILOR_MCP_OVERVIEW_GETRetrieve a comprehensive overview of your Ticket Tailor box office account, including key metrics, account information, and summary statistics. This provides a high-level dashboard view with data about your events, sales, and account status. Useful for getting a quick snapshot of your business performance and account health. This is a read-only operation that returns account summary information without modifying any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Ping get
Ping get
TICKET_TAILOR_MCP_PING_GETTests connectivity to the Ticket Tailor API server and retrieves version information. This is a lightweight health check that verifies your API credentials are valid and the service is responding. Useful for troubleshooting connection issues, validating API access, or checking service status. Returns server version details and confirms your authentication is working properly. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Product by id get
Product by id get
TICKET_TAILOR_MCP_PRODUCT_BY_ID_GETReturns a product by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Product create
Product create
TICKET_TAILOR_MCP_PRODUCT_CREATECreates a new product that can be sold alongside tickets. Products are additional items like merchandise, parking passes, meal vouchers, or special add-ons that customers can purchase during the ticket buying process. Products can be linked to specific event series or made available across all events, or sold via a standalone store (not yet available through the API). They can have their own pricing, inventory limits, and delivery instructions. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Product delete
Product delete
TICKET_TAILOR_MCP_PRODUCT_DELETEDelete a product. This action is irreversible. The product will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Products get
Products get
TICKET_TAILOR_MCP_PRODUCTS_GETReturns a list of products. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Product update
Product update
TICKET_TAILOR_MCP_PRODUCT_UPDATEUpdates an existing product. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Store get
Store get
TICKET_TAILOR_MCP_STORE_GETRetrieves the current store configuration including store ID, currency, name, payment methods, and associated products. This provides comprehensive information about your Ticket Tailor store setup and configuration. Useful for understanding your store’s current settings and associated resources. This is a read-only operation that returns store information without modifying any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Store list
Store list
TICKET_TAILOR_MCP_STORE_LISTRetrieves a list of all stores associated with the provided API key. This tool is useful for managing multiple stores within your Ticket Tailor account. It returns a list of store IDs, names, and other relevant details for each store. This is a read-only operation that does not modify any data. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Store update
Store update
TICKET_TAILOR_MCP_STORE_UPDATEUpdates the store configuration including currency, name, and associated products. This allows you to modify your Ticket Tailor store settings such as changing the currency, updating the store name, or managing which products are available in the store. The currency can be set to various supported currencies, and products can be added or removed by providing an array of product IDs. Empty products array will remove all products from the store. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Ticket group delete
Ticket group delete
TICKET_TAILOR_MCP_TICKET_GROUP_DELETEDelete a ticket group. This action is irreversible. The ticket group will be permanently removed and any associated ticket types and bundles will be removed from the group. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Ticket group update
Ticket group update
TICKET_TAILOR_MCP_TICKET_GROUP_UPDATEUpdates an existing ticket group. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Ticket type delete
Ticket type delete
TICKET_TAILOR_MCP_TICKET_TYPE_DELETEDelete a ticket type. This action is irreversible. The ticket type will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Ticket type update
Ticket type update
TICKET_TAILOR_MCP_TICKET_TYPE_UPDATEUpdates an existing ticket type. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher by id get
Voucher by id get
TICKET_TAILOR_MCP_VOUCHER_BY_ID_GETReturns a voucher by its unique identifier. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher codes get
Voucher codes get
TICKET_TAILOR_MCP_VOUCHER_CODES_GETReturns a list of voucher codes. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher code void
Voucher code void
TICKET_TAILOR_MCP_VOUCHER_CODE_VOIDVoids a voucher code. This action is irreversible. This will only mark one voucher code as voided, and will not impact the other related codes. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher create
Voucher create
TICKET_TAILOR_MCP_VOUCHER_CREATECreates a new voucher system with associated voucher codes. Vouchers are flexible promotional tools that can be used as either promotional codes (for marketing campaigns), or gift vouchers (for customer gifting), or as credit in lieu of a payment refund. Promotional vouchers have predefined codes, while gift vouchers and credit vouchers generate unique codes when issued. Vouchers can be restricted to specific event series and have configurable expiration dates and redemption rules. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher delete
Voucher delete
TICKET_TAILOR_MCP_VOUCHER_DELETEDelete voucher and its associated voucher codes. This action is irreversible. The voucher and its voucher codes will be permanently removed. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Vouchers get
Vouchers get
TICKET_TAILOR_MCP_VOUCHERS_GETReturns a list of vouchers. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Voucher update
Voucher update
TICKET_TAILOR_MCP_VOUCHER_UPDATEUpdates an exist ing voucher’s name and properties. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Waitlist signup delete
Waitlist signup delete
TICKET_TAILOR_MCP_WAITLIST_SIGNUP_DELETEDelete event series waitlist signup. This action is irreversible. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.
Input Parameters
Waitlist signups get
Waitlist signups get
TICKET_TAILOR_MCP_WAITLIST_SIGNUPS_GETReturns a list of waitlist signups. Notes for LLMs:- The MCP tool inputSchema defines the parameters you should provide when calling the tool (e.g., event_series_id, bundle_id, name, price, etc.).
- The API response structure is completely different from the inputSchema - it returns the actual resource data (e.g., id, name, description, created_at, etc.) as defined by the Ticket Tailor API.
- Do not expect the response fields to match the input parameter names. The response will contain the full resource object(s) as returned by the Ticket Tailor API.